package net.knarcraft.permissionsigns.command;

import org.apache.commons.lang.ArrayUtils;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

/**
 * The main command for this plugin
 */
public class PermissionSignsCommand implements CommandExecutor {

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, String[] args) {
        if (args.length > 0) {
            if (args[0].equalsIgnoreCase("create")) {
                String[] subArgs = (String[]) ArrayUtils.remove(args, 0);
                return new CreateCommand().onCommand(sender, command, label, subArgs);
            } else if (args[0].equalsIgnoreCase("cancel")) {
                return new CancelCommand().onCommand(sender, command, label, args);
            } else if (args[0].equalsIgnoreCase("about")) {
                return new AboutCommand().onCommand(sender, command, label, args);
            } else if (args[0].equalsIgnoreCase("reload")) {
                return new ReloadCommand().onCommand(sender, command, label, args);
            }
        }
        return false;
    }

}
