package net.knarcraft.permissionsigns.listener;

import net.knarcraft.permissionsigns.container.TemporaryPermission;
import net.knarcraft.permissionsigns.manager.PermissionManager;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

import java.util.PriorityQueue;
import java.util.Queue;

/**
 * A listener listening to player events
 */
public class PlayerListener implements Listener {

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        //Give the joining player any temporary permissions containing their UUID
        Queue<TemporaryPermission> temporaryPermissions = new PriorityQueue<>(PermissionManager.getTemporaryPermissions());
        temporaryPermissions.removeIf((item) -> !item.getGrantedPlayer().getUniqueId().equals(event.getPlayer().getUniqueId()));
        temporaryPermissions.forEach((item) -> PermissionManager.grantTemporaryPermission(event.getPlayer(),
                item.getPermissionNode(), item.getWorld()));
    }

}
